<template>
  <div class="container">
    <div class="p-subtitle">{{ $t(`Your planets`) }}</div>
    <div
      v-for="planet in planets"
      :key="planet.id"
      class="p-card"
      @click="goToPlanet({ planetSlug: planet.name.toLowerCase() })">
      <div class="d-flex align-items-center w-100 h-100">
        <div class="d-flex h-100 align-items-start p-relative">
          <img
            :src="
              require(`~/assets/images/zodiac-${planet.sign.toLowerCase()}-orange${
                zodiacVariants[planet.sign.toLowerCase()] ? `-variant-${zodiacVariants[planet.sign.toLowerCase()]}` : ''
              }.png`)
            "
            class="p-card__zodiac-image" />
          <img
            :src="
              require(`~/assets/images/planet-${planet.name.toLowerCase()}-w2${
                planetVariants[planet.name.toLowerCase()] ? `-variant-${planetVariants[planet.name.toLowerCase()]}` : ''
              }.svg`)
            "
            class="p-card__planet-image" />
        </div>
        <div class="p-card__details d-flex flex-column align-items-start justify-content-start h-100">
          <div class="p-card__title">{{ planet.yourPlanetInSignText }}</div>
          <div class="p-card__tags">
            <span v-for="planetTag in planet.tags" :key="planetTag" class="p-card__tag">{{ $t(planetTag) }}</span>
          </div>
        </div>
        <img src="~assets/images/arrow-forward.svg" class="p-card__arrow" />
      </div>
    </div>
    <i-unlock-full-access ref="iUnlockFullAccess" />
  </div>
</template>

<script>
  import { mapState } from 'vuex';

  export default {
    scrollToTop: true,
    transition: { name: 'fade', mode: 'out-in' },

    async asyncData({ $axios }) {
      let response = await $axios.get('pages/you/planets');
      return { planets: response.data.data.planets };
    },

    data() {
      return {
        zodiacVariants: {
          aquarius: 2,
          cancer: 2,
        },

        planetVariants: {
          sun: 1,
        },
      };
    },

    computed: {
      ...mapState(['auth']),
    },

    methods: {
      goToPlanet({ planetSlug }) {
        if (!this.auth.user.hasActiveSubscription) {
          this.$refs.iUnlockFullAccess.show();
          return;
        }

        this.$router.push({
          name: 'planets.planetSlug',
          params: { planetSlug },
        });
      },
    },
  };
</script>

<style lang="scss" scoped>
  .p-subtitle {
    font-size: rf(16px);
    font-weight: bold;
    color: #fff;
    margin-bottom: rs(13px);
  }

  .p-card {
    position: relative;
    width: 100%;
    border-radius: rs(20px);
    background-color: #fff;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.15);
    margin-bottom: rs(15px);
    padding: rs(15px);
    cursor: pointer;
    min-height: rs(112px);
  }

  .p-card__zodiac-image {
    width: rs(75px);
    height: rs(75px);
  }

  .p-card__planet-image {
    position: absolute;
    z-index: 1;
    top: rs(42px);
    left: rs(42px);
    width: rs(37px);
    height: rs(37px);
  }

  .p-card__details {
    margin-left: rs(15px);
    flex-grow: 1;
    min-height: rs(75px);
    padding-right: rs(5px);
  }

  .p-card__title {
    color: #575167;
    font-size: rf(18px);
    margin-bottom: rs(3px);
  }

  .p-card__tags {
    display: flex;
    flex-wrap: wrap;
  }

  .p-card__tag {
    display: inline-flex;
    align-items: center;
    height: rs(22px);
    background-color: #fa7d70;
    border-radius: rs(11px);
    padding: 0 rs(11px);
    font-size: rf(13px);
    color: #fff;
    margin-top: rs(3px);
    margin-right: rs(3px);
  }

  .p-card__arrow {
    position: absolute;
    top: 50%;
    right: 0;
    width: rs(36px);
    transform: translateY(-50%);
  }
</style>
